:root {
    --br-large: 25px;
    --br-medium: 13px;
    --br-small: 7px;

    /* Legacy */
    --large-br: var(--br-large);
    --medium-br: var(--br-medium);
    --small-br: var(--br-small);  
    --secondary-accent: var(--accent-secondary);
    --primary-shadow: var(--shadow-primary);
    --secondary-shadow: var(--shadow-secondary);
}

// #region Universal Styling 
* {
    scroll-behavior: smooth;
}

body {
	margin: 0;
	font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
	
	color: var(--text);
	background: var(--background);
}

a {
    color: var(--accent);
    font-weight: bold;
    text-decoration: none;
}

// #endregion

// #region Input Styling
input, select, textarea, button, a.btn {
    border-radius: 7px;
    padding: 4px;
    background: var(--foreground-dark);
    color: var(--text);
    border: 1px solid var(--foreground-darker);
}
textarea {
    padding: 7px;
}
button, a.btn {
    // TODO: add slight box shadow
    cursor: pointer;
    font-weight: normal;
    background: var(--accent);
    color: #e8eef2;
}

// #region Radio Buttons and Checkboxes
@supports(-webkit-appearance: none) or (-moz-appearance: none) {
    input[type="checkbox"], input[type="radio"] {
        --focus: 2px rgba(39, 94, 254, .3);
        --disabled: #F6F8FF;
        --disabled-inner: #E1E6F9;
        -webkit-appearance: none;
        -moz-appearance: none;
        height: 1.3em;
        outline: none;
        display: inline-block;
        vertical-align: top;
        position: relative;
        margin: 0;
        margin-top: 0.2em;
        cursor: pointer;
        //border: 1px solid var(--bc, var(--text)); // border
        background: var(--b, var(--background));
        transition: background .3s, border-color .3s, box-shadow .2s;

        &:after {
            content: '';
            display: block;
            left: 0;
            top: 0;
            position: absolute;
            transition: transform var(--d-t, .3s) var(--d-t-e, ease), opacity var(--d-o, .2s);
        }

        &:checked {
            --b: var(--accent);
            --bc: var(--accent);
            --d-o: .3s;
            --d-t: .6s;
            --d-t-e: cubic-bezier(.2, .85, .32, 1.2);

            border: 1px solid var(--bc, var(--accent));
        }

        &:disabled {
            cursor: not-allowed;
            opacity: .5;
        }

        &:hover { --bc: var(--accent) }
        &:not(.switch) {
            width: 1.3em;
            &:after   { opacity: var(--o, 0) }
            &:checked { --o: 1 }
        }

        &+label {
            font-size: 14px;
            line-height: 1.3em;
            display: inline-block;
            vertical-align: top;
            cursor: pointer;
            margin-left: 4px;
        }
    }

    input[type="checkbox"] {
        border-radius: 7px;

        &:after {
            width: 4px;
            height: 9px;
            border: 2px solid var(--white);
            border-top: 0;
            border-left: 0;
            left: 4.5px;
            top: 1px;
            transform: rotate(var(--r, 20deg));
        }

        &:checked { --r: 43deg }
    }

    input[type="radio"] {
        border-radius: 50%;

        &:after {
            width: 15px;
            height: 15px;
            border-radius: 50%;
            background: var(--white);
            opacity: 0;
            transform: scale(var(--s, .7));
        }

        &:checked { --s: .5 }
    }
}
// #endregion

// #endregion